Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.structure
Class LinkedObjectNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.structure.StructureException
                      org.apache.slide.structure.LinkedObjectNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class LinkedObjectNotFoundException
extends StructureException

Linked object not found.

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`LinkedObjectNotFoundException(Uri linkUri, java.lang.String targetUri)` Constructor.

Method Summary
`java.lang.String` | `getLinkUri()` Link Uri accessor.
`java.lang.String` | `getTargetUri()` Target Uri accessor.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkedObjectNotFoundException

    public LinkedObjectNotFoundException(Uri linkUri,
                                         java.lang.String targetUri)

  Constructor.

Parameters:
  `linkUri` - Uri of the link
  `targetUri` - Link target

Method Detail

### getLinkUri

    public java.lang.String getLinkUri()

  Link Uri accessor.

  Returns:
    String link Uri

### getTargetUri

    public java.lang.String getTargetUri()

  Target Uri accessor.

  Returns:
    String target Uri

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD